Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class StaticMetaMethodSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaMethodSite
                  org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite

    public class StaticMetaMethodSite
    extends MetaMethodSite

POJO call site meta class - cached method - cached

Authors:
  Alex Tkachman

Nested Class Summary
`static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap` Call site where we know there is no need to unwrap arguments
`static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce` Call site where we know there is no need neither unwrap nor coerce arguments

Field Summary

Fields inherited from class MetaMethodSite
params

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`StaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)`

Method Summary
`Object` | `call(Object receiver, Object[] args)`
`Object` | `callStatic(Class receiver, Object[] args)`
`protected boolean` | `checkCall(Object receiver, Object[] args)`
`protected boolean` | `checkCall(Object receiver)`
`protected boolean` | `checkCall(Object receiver, Object arg1)`
`protected boolean` | `checkCall(Object receiver, Object arg1, Object arg2)`
`protected boolean` | `checkCall(Object receiver, Object arg1, Object arg2, Object arg3)`
`protected boolean` | `checkCall(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`static CallSite` | `createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)`
`Object` | `invoke(Object receiver, Object[] args)`

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### StaticMetaMethodSite

    public StaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)

Method Detail

### call

    public Object call(Object receiver, Object[] args)

### callStatic

    public Object callStatic(Class receiver, Object[] args)

### checkCall

    protected final boolean checkCall(Object receiver, Object[] args)

### checkCall

    protected final boolean checkCall(Object receiver)

### checkCall

    protected final boolean checkCall(Object receiver, Object arg1)

### checkCall

    protected final boolean checkCall(Object receiver, Object arg1, Object arg2)

### checkCall

    protected final boolean checkCall(Object receiver, Object arg1, Object arg2, Object arg3)

### checkCall

    protected final boolean checkCall(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### createStaticMetaMethodSite

    public static CallSite createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)

### invoke

    public Object invoke(Object receiver, Object[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.